> For the complete documentation index, see [llms.txt](https://docs.expand.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expand.network/integrations/supported-wallets/hd-wallets/coinbase.md).

# COINBASE

Coinbase Wallet is a self-custody wallet, giving you complete control of your crypto. It allows you to store and manage all of your crypto, NFTs, and multiple wallets in one place

To use COINBASE with expand.network [<mark style="color:blue;">**SDK**</mark>](https://github.com/expand-network/sdk-nodejs.git), follow these steps:-

### **Step 1:** Installation

&#x20;User needs to install the expand.network SDK using the following command:&#x20;

```git
npm i expand-network
```

### **Step 2: Wallet Initialisation**

```javascript
const { WalletCoinbase, prepareTransaction } = require('expand-network');
const wallet  = new WalletCoinbase({ privateKey:'YOUR_PRIVATE_KEY', xApiKey:xApiKey});
```

### **Step 3: Prepare Transaction**

```javascript
// Preparing the approve transaction from expand.network
const preparedTx = await prepareTransaction('https://api.expand.network/fungibletoken/approve', {
        "from": "OWNER_WALLET_ADDRESS",
        "tokenAddress": "0x6B175474E89094C44Da98b954EedeAC495271d0F",  
        "amount": "1000000000000",                  
        "to": "SPENDER_WALLET_ADDRESS", //For approve 
        "gas": "100000",
        "chainId": "1",
        "xApiKey":xApiKey
    });
```

### **Step 4: Sign Transaction**

```javascript
// Sign the transaction locally using sdk client
const signedTx = await wallet.signTransaction(preparedTx);
console.log(signedTx);
```

### **Step 5: Send Transaction**

```javascript
// Send the signed transaction
const tx = await wallet.sendTransaction(signedTx);
console.log(tx);
```

### Sample code to approve a fungible token using Coinbase Wallet:&#x20;

```javascript
const { WalletCoinbase, prepareTransaction } = require('expand-network');
const xApiKey = 'YOUR_API_KEY';        //Replace this with your API key
async function main() {
    const wallet  = new WalletCoinbase({ privateKey:'YOUR_PRIVATE_KEY', xApiKey:xApiKey});

    const preparedTx = await prepareTransaction('https://api.expand.network/fungibletoken/approve', {
            "from": "OWNER_WALLET_ADDRESS",
            "tokenAddress": "0x6B175474E89094C44Da98b954EedeAC495271d0F",  
            "amount": "1000000000000",                  
            "to": "SPENDER_WALLET_ADDRESS",
            "gas": "100000",
            "chainId": "1",        // Replace with other chainId to toggle between chains
            "xApiKey":xApiKey
    });

    const signedTx = await wallet.signTransaction(preparedTx);
    console.log(signedTx);

    const tx = await wallet.sendTransaction(signedTx);
    console.log("Transaction Pending....", tx.data);
}
main();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expand.network/integrations/supported-wallets/hd-wallets/coinbase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
